#
# spec file for package python-TornadIO2
#
# Copyright (c) 2013 SUSE LINUX Products GmbH, Nuernberg, Germany.
# Copyright (c) 2013 Richard Marko <rmarko@fedoraproject.org>
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.
#

Name:           python-TornadIO2
Version:        0.0.4
Release:        12%{?dist}
License:        ASL 2.0
Summary:        Socket.io server on top of Tornado framework
Url:            http://github.com/MrJoes/tornadio2/
Group:          Development/Languages
Source0:         http://pypi.python.org/packages/source/T/TornadIO2/TornadIO2-%{version}.tar.gz
# patch adding LICENSE to release tarball accepted upstream, will be included in the next version
Source1:        LICENSE

BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-tornado
BuildRequires:  python-simplejson

BuildArch:      noarch

%global _description\
This is python server implementation of the Socket.IO real-time transport\
library on top of the Tornado framework. TornadIO2 is compatible with 0.7+\
version of the Socket.IO and implements most of the features found in original\
Socket.IO server software.

%description %_description

%package -n python2-tornadio2
Summary: %summary
Requires:       python-tornado
Requires:       python-simplejson
%{?python_provide:%python_provide python2-tornadio2}

%description -n python2-tornadio2 %_description

%prep
%setup -q -n TornadIO2-%{version}
rm -rf %{pypi_name}.egg-info
cp %{SOURCE1} .

%build
%{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root=%{buildroot}

%files -n python2-tornadio2
%doc LICENSE
%defattr(-,root,root,-)
%{python_sitelib}/*

%changelog
* Fri Feb 09 2018 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-12
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Sat Aug 19 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.0.4-11
- Python 2 binary package renamed to python2-tornadio2
  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Tue Jul 19 2016 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-8
- https://fedoraproject.org/wiki/Changes/Automatic_Provides_for_Python_RPM_Packages

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.0.4-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.0.4-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 12 2013 Richard Marko rmarko@fedoraproject.org - 0.0.4-4
- Add LICENSE file

* Tue Jul 09 2013 Richard Marko rmarko@fedoraproject.org - 0.0.4-3
- Removed upstream egg

* Mon Jul 01 2013 Richard Marko rmarko@fedoraproject.org - 0.0.4-2
- Adapted for Fedora

* Sat Feb 23 2013 Pavol Rusnak prusnak@opensuse.org - 0.0.4-1
- Created package (version 0.0.4)
